# Type Alias PropertyValuesCallback

PropertyValuesCallback: (
propValuesHistory: (PropertyValue | undefined)[],
) => void

Callback function for property value subscriptions. The history array starts with `undefined` as the initial value.

#### Type Declaration

- - (propValuesHistory: (PropertyValue | undefined)[]): void

  - #### Parameters

    - propValuesHistory: (PropertyValue | undefined)[]

    #### Returns void

- Defined in propertyvalues.ts:70